Name:           perl-JavaScript-Packer
Version:        2.11
Release:        1%{?dist}
Summary:        JavaScript::Packer - Another JavaScript code cleaner
License:        Artistic-2.0
URL:            https://metacpan.org/release/JavaScript-Packer
Source0:        https://github.com/leejo/javascript-packer-perl/archive/refs/heads/master.zip
BuildArch:      noarch

BuildRequires:  perl-generators perl-interpreter make
BuildRequires:  perl(ExtUtils::MakeMaker)

# For improved testing
BuildRequires:  perl(Regexp::RegGrp)
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14


%description
JavaScript::Packer Perl module, an JavaScript Compressor.

%prep
%setup -q -n javascript-packer-perl-master
#HTML-Packer-%%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Mar 10 2024 Pappy Packager <skrochen@krotek.com> - 2.11-1
- Initial build
